.signup{
    color: #fff;
}
.loginclass{
    background-color: #1F68B1;
}
.logoTLP{
    display: inline;
    text-align: center;
}
p{margin: 0;}
.loginhead, .loginpp{
    text-align: center; 
    color: #fff;
}
.cpass{
    display: flex;
    flex-direction: column;
    gap: 2px;
    align-items: start;
    position: relative;
}
.passeye{
    position: absolute;
    top: 2.4rem;
}
.cpass label{
    color: #fff;
    margin-bottom: 0;
    font-size: 14;
}
.textupload{
    border: 1px solid #B3D9BD;
    width: 100%;
    border-radius: 8px;
    background-color: #fff;
    text-align: center;
    /* margin: 0 auto 24px; */
    position: relative;
    height: 52px;
    margin: 10px 0;
}

.dmsans{
    font-family: 'DM Sans', 'san-serif';
}
.textupload input, .textupload-1 input{
    height: 100% !important;
    background-color: #015e1b;
    position: absolute;
    /* top: 30px; */
    left: 30px;
    cursor: pointer;
    opacity: 0;
    z-index: 2;
}
.textupload label, .textupload-1 label{
    /* position: absolute;
    top: 18%;
    left: 40%; */
    margin-top: 5px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}
.uploadsvg p{
    margin-bottom: 0;
}
.lofinbtn2{
    background-color: #008024 !important;
    width: 60%;
}
.notify2{
    display: flex;
    align-items: center;
    gap: 5px;
}
.notify2 input{
    width: 18px;
    height: 18px;
}
.tct{
    color: #fff;
    margin-bottom: 0;
}
.passa{
    text-decoration: underline;
    color: #fff;
    display: inline-block;
    transition: opacity 1s ease;
}
.passa:hover{
    color: #fff;
    opacity: 0.5;
}
/* .passp{
    margin-bottom: 0;
    cursor: pointer;
} */

/* side menu for dashboard desgin */

.dashboard{
    background-color: #1F68B1;
    /* height: 100%; */
    width: 20%;
    /* margin-top: 86px; */
}
.logogo{
    margin-top: 70px;
}

.contain {
    display: flex;
    flex-direction: column;
    gap: 20px;
    color: #fff;
    padding: 0 15px;
}

.inputc{
    display: flex;
    flex-direction: column;
    gap: 2px;
    background-color: #fff;
    padding: 7px 20px;
    border-radius: 8px;
    margin-top: 20px;
}
.inputc h4{
    font-weight: 500;
    font-size: 16px;
    font-family: DM Sans;
    color: #2E353A;
}
.inputc p{
    font-size: 12px;
    font-weight: 400;
    color: #9C9C9C;
    margin: 0;
    font-family: 'Helvetica', 'san-serif';
}
.dashlinkdiv{
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.dashlinkdiv a{
    color: #fff;
    text-decoration: none;
    font-family: DM Sans;
    font-weight: 400;
    font-size: 14px;
    display: flex;
    align-items: center;
    gap: 8px;
    opacity: 0.7;
    transition: opacity 0.7s ease;
}
.current{
    opacity: 1 !important;
}
.dashlinkdiv a img, .logout img{
   width: 20px;
}
.logo{
    height: 100px;
    width: 183px;
}
.logout{
    font-family: DM Sans;
    font-size: 14px;
    font-weight: 400;
    cursor: pointer;
    /* text-align: center; */
    margin-top: 50px;
    transition: opacity 0.7s ease;
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 8px;
    color: #fff;
    text-decoration: none;
}

.logout:hover, .dashlinkdiv a:hover, .header a:hover{
    opacity: 0.4;
}

/* Main dashboard page */
.mainpage{
    display: flex;
    /* margin-top: 86px; */
    width: 100%;
}
.dashboard-contain{
    display: flex;
    flex-direction: column;
    gap: 5px;
    width: 100%;
    margin: 0 20px;
}

/* input field */
.input-div{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    border: 1px solid #f5f5f5;
    padding: 3px 20px;
    border-radius: 8px;
    margin: 10px 0px 5px;
}
.input-div input{
    height: 30px;
    outline: none;
    border: none;
    padding: 0;
}

/* header segment */
.header, .header-1{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-right: 20px;
}
.header h3, .header-1 h3{
    font-family: DM Sans;
    font-size: 20px;
    font-weight: 600;
    color: #101828;
}

.header a{
    color: #101828;
    font-size: 14px;
    font-weight: 600;
    font-family: DM Sans;
    cursor: pointer;
    text-decoration: none;
    transition: opacity 0.7s ease;
}

/* details card segment..... */
.cards-div{
    display: flex;
    align-items: center;
    gap: 15px;
    justify-content: space-between;
}
.detailscard{
    display: flex;
    flex-direction: column;
    border: 1px solid #f5f5f5;
    border-radius: 8px;
    padding: 20px 10px;
    width: 100%;
    box-shadow: 1px 1px 1px #e1dcdc;
    transition: all 0.7s ease;
    min-height: 150px;
}

.detailscard:hover{
    scale: 1.08;
    box-shadow: 2px 2px 2px #e1dcdc;
}
.detailscard1{
    display: flex;
    flex-direction: column;
    border: 1px solid #f5f5f5;
    border-radius: 8px;
    padding: 20px 10px;
    width: 100%;
    box-shadow: 1px 1px 1px #e1dcdc;
    transition: all 0.7s ease;
}

.detailscard1:hover{
    scale: 1.02;
    box-shadow: 2px 2px 2px #e1dcdc;
}
.detailshead{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.detailshead p {
    font-weight: 600;
    font-family: DM Sans;
    font-size: 30px;
    color: #101828;
}
.tnum{
    color: #79828F;
    font-weight: 400;
    font-size: 12px;
    font-family: DM Sans;
    margin-top: -10px;
}
.imagecover{
    background-color: #EFF4FF;
    height: 48px;
    width: 48px;
    border-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.percentage-div{
    margin-top: 25px;
    display: flex;
    align-items: center;
    gap: 20px;
}
.percentage-div .last{
    color: #98A2B3;
    font-size: 10px;
    font-weight: 400;
}

.increase{
    background-color: #EFFFF4;
    color: #34A751;
}
.decrease{ 
    background-color: #FFEDEC;
    color: #EF4036;
}
.percentage-div .first{
    border-radius: 10px;
    font-family: 'Helvetica', 'san-serif';
    font-size: 10px;
    padding: 5px;
}
/* the dashboard body */
.body{
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 15px;
    width: 100%;
    height: fit-content;
    /* align-items: baseline; */
}
.graph{
    width: 70%;
    display: flex;
    flex-direction: column;
    gap: 25px;
    padding-bottom: 50px;
}
.notification{
    border-radius: 8px;
    box-shadow: 1px 1px 1px #e1dcdc;
    padding:  10px;
    height: 100%;
    width: 30%;
}
.notification h2{
    color: #101928;
    font-weight: 600;
    font-family: DM Sans;
    font-size: 14px;
}

.topdiv{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
    margin-top: 10px;
}
.topdiv .notify{
    display: flex;
    align-items: center;
    gap: 10px;
}
.note{
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.note p:first-child{
    color: #101928;
    font-weight: 400;
    font-family: 'Helvetica', 'san-serif';
    font-size: 12px;
}

.note p:last-child{
    color: #B1B3B6;
    font-weight: 400;
    font-family: 'Helvetica', 'san-serif';
    font-size: 10px;
}


/* Chart and graphs */
.graph-head{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 20px;
}
.charts{
    width: 100% !important;
    height: 200px !important;
}

.numbers p:first-child{
    color: #101828;
    font-weight: 600;
    font-size: 19.08px;
    font-family: DM Sans;
}

.numbers p:last-child{
    color: #98A2B3;
    font-size: 10px;
    font-weight: 400;
    font-family: 'Helvetica', 'san-serif';
}

.graph-head select, .flexDisplay select{
    height: 40px;
}


/* courses section */
.course-body{
    height: fit-content;
    margin-top: 15px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 30px;
}
.viewBy{
    font-weight: 400;
    font-size: 18px;
    color: #000;
    opacity: 0.5;
    text-wrap: nowrap;
}
.intro-head{
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}
.flexDisplay{
    display: flex;
    align-items: center;
    gap: 15px;
    width: fit-content;
}
.chosen{
    width: 139px;
    padding: 10px 20px;
    background-color: #D2E1EF;
    border-radius: 10px;
    cursor: pointer;
    font-weight: 400;
    font-size: 14px;
    text-align: center;
}

.not-chosen{
    width: 139px;
    padding: 8px 20px;
    background-color: #e9e9e9;
    border-radius: 10px;
    cursor: pointer;
    font-weight: 400;
    font-size: 14px;
    text-align: center;
}

/* course cards desplay  */

.coursessection{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 15px;
    /* height: ; */
}
.course-card{
    display: flex;
    flex-direction: column;
    border-radius: 8px;
    height: 300px;
}

.course-card-header{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 115px;
    padding: 20px;
    background: linear-gradient(97.26deg, #000000 0.87%, #1F68B1 100%);
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    position: relative;
}

.course-card-header p {
    font-size: 18px;
    font-weight: 400;
    font-family: DM Sans;
    color: #fff;
}

.course-card-body{
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 15px 0;
    background-color: #F2F2F2;
    padding: 15px;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
}
.analy{
    font-size: 16px;
    font-weight: 700;
    font-family: DM Sans;
    color: #1F68B1;
}
.divbody p{
    font-weight: 400;
    font-family: 'Helvetica', 'san-serif';
    font-size: 16px;
    color: #000;
}
.vm{
    display: flex;
    align-items: center;
    justify-content: end;
    font-size: 14px;
    font-weight: 700;
    color: #008024;
    cursor: pointer;
}

/* the modal for courses tables */
.tablemodals{
    position: fixed;
    height: 90vh;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    display: none;
    z-index: 1;
    overflow: scroll;
}
.tablemodals::-webkit-scrollbar{
    display: none;
}
.feedbackcontain{
    margin: 10% 25% 15px;
    background-color: #fff;
    padding: 20px 0 10px;
    border-radius: 10px;
}
.bodyfeed{
    display: flex;
    flex-direction: column;
    gap: 5px;
    padding: 0 20px 20px;
}
.bodyfeed p{
    color: #667085;
    font-size: 14px;
    font-weight: 500;
    text-transform: capitalize;
    font-weight: 500;
}
.feedbaccont{
    border-radius: 20px;
    background-color: #E9F0F7;
    padding: 10px 20px;
    min-height: 150px;
}
.feedbaccont p{
    color: #667085;
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
}
.close{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.close p {
    color: #fff;
    font-weight: 600;
    font-family: 'Helvetica', 'san-serif';
    cursor: pointer;
}
.close i {
    cursor: pointer;
}
.coursetable-head{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 25px;
}
.coursetable-head-1{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.input-div2{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    border: 1px solid #D0D5DD;
    padding: 3px 10px;
    border-radius: 8px;
    margin: 5px 0px 5px;
}
.input-div2 input{
    height: 25px;
    outline: none;
    border: none;
    padding: 0;
}
.btn-filter{
    font-size: 14px;
    font-weight: 400;
    font-family: 'Helvetica', 'san-serif';
    border: none;
    background-color: #e4e7ec;
    color: #98A2B3;
    width: 100px;
    padding: 8px 0;
    border-radius: 8px;
}
.coursetables{
    margin: 10% 15% 15px;
    background-color: #fff;
    padding: 20px 0 10px;
}
.coursetables-1{
    width: 100%;
    background-color: #fff;
    padding: 10px 0;
}
.coursetables1{
    /* margin: 10% 15% 15px; */
    background-color: #fff;
    /* padding: 20px 0 10px; */
}
.sle, .sle:hover, .sle:focus{
    height: 30px;
    outline: none;
    border: none;
    padding: 0;
}
.sele-div{
    display: flex;
    align-items: center;
    gap: 10px;
    border: 1px solid #D0D5DD;
    padding: 0px 10px;
    border-radius: 8px;
    margin: 5px 0px 5px;
    height: 35px;
}
.sele-div-1{
    display: flex;
    align-items: center;
    gap: 10px;
    border: 1px solid #D0D5DD;
    padding: 0px 10px;
    border-radius: 8px;
    margin: 5px 0px 5px;
    height: 40px;
    width: 200px;
}
.sort{
    font-size: 12px;
    font-weight: 500;
    font-family: 'Helvetica', 'san-serif';
    text-wrap: nowrap;
}
.coursetable-body{
    margin-top: 30px;
    padding: 0 30px 20px;
}
.coursetable-body-1{
    margin-top: 30px;
}
table{
    width: 100%;
    
}
td,th{
    padding: 12px;
    background-color: #fff;
}
table, tr{
    border: 1px solid #e0e3e7;
    
}

/* grade systemt */
.grade-body{
    display: flex;
    flex-direction: column;
    gap: 5px;
    width: 100%;
    margin-bottom: 50px;
}
.grade {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.grade h3{
    color: #008024;
    font-weight: 500;
    font-size: 20px;
}
.input-div{
    display: flex;
    align-items: center;
    gap: 10px;
}
.grade input {
    width: 50px;
    height: 50px;
    background-color:#E9F0F7;
    padding: 0 10px;
}
.duration input {
    width: 20px;
    height: 20px;
    background-color:#E9F0F7;
    outline: 0;
    padding: 0 2px;
    font-size: 10px;
}


/* comment  */
.commentdiv{
    display: flex;
    flex-direction: column;
}

#person_comment{
    border-radius: 20px;
    background-color: #E9F0F7;
    padding: 10px 20px;
    min-height: 80px;
    outline: none;
    border: none;
}

.question-comp{
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.textupload-1{
    /* border: 1px solid #B3D9BD; */
    width: 100%;
    border-radius: 20px;
    background-color: #fff;
    text-align: center;
    /* margin: 0 auto 24px; */
    position: relative;
    height: 52px;
    margin: 10px 0;
    background-color: #E9F0F7;
}

/* Question modal */
.questionmodal{
    margin: 0 2% 10px;
    background-color: #fff;
    padding: 20px 20px 10px;
    border-radius: 10px;
    overflow: scroll;
}
.questionmodal::-webkit-scrollbar{
    display: none;
}
.btn-delete{
    background-color: #E74040;
    color: #fff;
    width: 85px;
    height: 23px;
    position: absolute;
    right: 0;
    top: 0;
    font-size: 12px;
    display: flex;
    align-items: center;
    justify-content: center;

}
.right-answer{
    cursor: pointer;
    font-size: 14px;
    font-weight: 500;
    color: #A0A0A0;
}
.right-answer-selected{
    color: #008024 !important;
}
.body-question{
    display: flex;
    flex-direction: column;
    gap: 5px;
    padding: 10px 20px;
}
.body-question input{
    border-radius: 20px;
    background-color: #E9F0F7;
    outline: none;
    border: none;
    padding: 0 20px;
    height: 30px;
}
.question-div{
    border-radius: 20px;
    background-color: #E9F0F7;
    padding: 5px 10px 10px;
    display: flex;
    flex-direction: column;
    gap: 0;
}
.answer-div{
    border-radius: 20px;
    background-color: #E9F0F7;
    padding: 5px 10px 5px;
    display: flex;
    flex-direction: column;
    gap: 0;
    margin-top: 10px;
}
.question-div label, .answer-div label{
    padding: 10px 20px 0;
}
.inputname{

}
.inputQuestion{

}
.inputanswer{

}